# Interface ArrayTypeDynamic

Type of a dynamic-length array

#### Category

Container types

#### Hierarchy

- ArrayTypeDynamic

- Defined in codec/lib/format/types.ts:209

#####
Index

### Properties

baseType
kind
location?
typeClass
typeHint?

## Properties

### baseType

baseType: Type

- Defined in codec/lib/format/types.ts:212

### kind

kind: "dynamic"

- Defined in codec/lib/format/types.ts:211

### `Optional` location

location?: Location

- Defined in codec/lib/format/types.ts:213

### typeClass

typeClass: "array"

- Defined in codec/lib/format/types.ts:210

### `Optional` typeHint

typeHint?: string

- Defined in codec/lib/format/types.ts:214

Generated using TypeDoc